<?php
defined('JPATH_BASE') or die();

if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__)
    .' is not allowed.' );


/**
 *
 * @package  MediaLibrary
 * @copyright 2021 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru); Rob de Cleen(rob@decleen.com);
 * Homepage: https://ordasoft.com
 * @version: 4.6 Free
 * @license GNU General Public license version 2 or later; see LICENSE.txt
 *
 */

/**
* This file provides compatibility for MediaLibrary on Joomla! 1.0.x and Joomla! 3.0
*
*/


// Check to ensure this file is within the rest of the framework
/**
 * Utility class for drawing admin menu HTML elements
 *
 * @static
 * @package     Joomla.Legacy
 * @subpackage    1.5
 * @since    1.0
 * @deprecated    As of version 1.5
 */
if ( !class_exists('mosAdminMenus')) {
  class mosAdminMenus
  {
  
  ////////////////////////////////////////////////////////////////////////////////////////////
      /**
    * Legacy function, use {@link JHTML::_('list.users', )} instead
    *
    * @deprecated    As of version 1.5
    */
      function UserSelect( $name, $active, $nouser=0, $javascript=NULL, $order='name', $reg=1 )
      {
          return JHTML::_('list.users', $name, $active, $nouser, $javascript, $order, $reg);
      }
 static  function SpecificOrdering( &$row, $id, $query, $neworder=0 )
      {
          return JHTML::_('list.specificordering', $row, $id, $query, $neworder);
      }
  
  function Access( &$row )
      {
          return JHTML::_('list.accesslevel', $row);
      }
  
      /**
    * Legacy function, use {@link JHTML::_('list.positions', )} instead
    *
    * @deprecated    As of version 1.5
    */
    static  function Positions( $name, $active=NULL, $javascript=NULL, $none=1, $center=1, $left=1, 
        $right=1, $id=false )
      {
          return JHTML::_('list.positions', $name, $active, $javascript, $none, $center, $left, $right, 
              $id);
      }
  
  static function SelectSection( $name, $active=NULL, $javascript=NULL, $order='ordering' )
      {
         // return JHTML::_('list.section', $name, $active, $javascript, $order);
        return JHtml::_('list.category', $name, $active, $javascript, $order);

      }
  ///////////////////////////////////////////////////////////////////////////////////////////////////
  }
}    
